# Uses of Interface
javax.xml.stream.events.EndElement

Packages that use EndElement
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).

## Uses of EndElement in javax.xml.stream

Methods in javax.xml.stream that return EndElement
Modifier and Type
Method
Description
`abstract EndElement`
XMLEventFactory.`createEndElement​(String prefix, String namespaceUri, String localName)`
Create a new EndElement
`abstract EndElement`
XMLEventFactory.`createEndElement​(String prefix, String namespaceUri, String localName, Iterator<? extends Namespace> namespaces)`
Create a new EndElement
`abstract EndElement`
XMLEventFactory.`createEndElement​(QName name, Iterator<? extends Namespace> namespaces)`
Create a new EndElement

## Uses of EndElement in javax.xml.stream.events

Methods in javax.xml.stream.events that return EndElement
Modifier and Type
Method
Description
`EndElement`
XMLEvent.`asEndElement()`
Returns this event as an end element event, may result in a class cast exception if this event is not a end element.